### Method

# Clutter OffscreenEffect get_texture

#### Declaration [src]

    CoglTexture*
    clutter_offscreen_effect_get_texture (
      ClutterOffscreenEffect* effect
    )

#### Description [src]

Retrieves the texture used as a render target for the offscreen buffer created by `effect`

You should only use the returned texture when painting. The texture may change after `Clutter.EffectClass.pre_paint` is called so the effect implementation should update any references to the texture after chaining-up to the parent’s pre_paint implementation. This can be used instead of `clutter_offscreen_effect_get_texture()` when the effect subclass wants to paint using its own pipeline.

#### Return value

Type: `CoglTexture`

A `CoglTexture` or `NULL`. The returned texture is owned by Clutter and it should not be modified or freed.

The returned data is owned by the instance.